Bug 205707 - commands in install directive in modprobe.conf are not executed
commands in install directive in modprobe.conf are not executed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 21:59 EDT by Demosthenes T. Mateo Jr.
Modified: 2008-04-03 02:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 02:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Demosthenes T. Mateo Jr. 2006-09-07 21:59:04 EDT
Description of problem:

I have the following lines in /etc/modprobe.conf:

install modulename /sbin/modprobe modulename; /bin/touch /root/testfile

During bootup, modulename gets loaded but /root/testfile is not created. This
works with RHEL4.

Version-Release number of selected component (if applicable):
module-init-tools-3.2.2-0.FC5.3

How reproducible:
Always

Steps to Reproduce:
1. echo 'install modulename /sbin/modprobe modulename; /bin/touch
/root/testfile' >> /etc/modprobe.conf
2. reboot
3. lsmod|grep modulename 
4. ls /root/testfile
 
Actual results:
modulename gets loaded but /root/testfile is not created

Expected results:
modulename should have been loaded AND /root/testfile should have been created

Additional info:

Works with RHEL4 U3
Comment 1 Jon Masters 2006-11-30 16:19:22 EST
Do you know if this is still happening on FC6?

Note You need to log in before you can comment on or make changes to this bug.